Bug 176580 - Review Request: x11-ssh-askpass -- the cool brother of gnome-ssh-askpass
Review Request: x11-ssh-askpass -- the cool brother of gnome-ssh-askpass
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-26 19:32 EST by Enrico Scholz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-12 04:21:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2005-12-26 19:32:45 EST
Spec Name or Url: http://ensc.de/fedora/x11-ssh-askpass.spec
SRPM Name or Url: http://ensc.de/fedora/x11-ssh-askpass-1.2.4.1-0.src.rpm
GNU Arch: ensc@ensc.de--fedora (http://ensc.de/tla/{archives}/fedora)
          x11-ssh-askpass--review--0

Description:

x11-ssh-askpass is a lightweight passphrase dialog for OpenSSH or
other open variants of SSH. In particular, x11-ssh-askpass is useful
with the Unix port of OpenSSH by Damien Miller and others, and Damien
includes it in his RPM packages of OpenSSH.

x11-ssh-askpass uses only the stock X11 libraries (libX11, libXt) for
its user interface. This reduces its dependencies on external libraries
(such as GNOME or Perl/Tk). See the README for further information.
Comment 1 Ville Skyttä 2005-12-27 02:35:44 EST
You have asked and got a confirmation that x11-ssh-askpass won't be coming back
in the near future FC openssh packages, right?
Comment 2 Enrico Scholz 2005-12-27 05:29:00 EST
"Feel free to package the x11-ssh-askpass in Fedora Extras." from bug #176312#1
should be enough...
Comment 3 Warren Togami 2006-01-24 23:44:37 EST
Error: Missing Dependency: /etc/X11/app-defaults/ is needed by package
x11-ssh-askpass

Am I missing something?  This is FC5.
Comment 4 Ville Skyttä 2006-01-25 02:02:03 EST
That's /usr/share/X11/app-defaults in FC5.
Comment 5 Warren Togami 2006-01-25 02:10:07 EST
This could be done with a simple conditional in the spec.
Comment 6 Enrico Scholz 2006-03-26 08:47:13 EST
* Sun Mar 26 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> -
1.2.4.1-0.1
- fixed path of app-defaults dir

http://ensc.de/fedora/x11-ssh-askpass.spec
http://ensc.de/fedora/x11-ssh-askpass-1.2.4.1-0.1.src.rpm
Comment 7 Enrico Scholz 2006-05-20 05:05:25 EDT
* Sat May 20 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 1.2.4.1-0.2
- removed '%config' from the app-defaultsdir
- do not own the app-defaultsdir anymore
- added some tricks to the -random patch to avoid removal of the
  clear-the-passphrase-memset() due to optimization


http://ensc.de/fedora/x11-ssh-askpass.spec
http://ensc.de/fedora/x11-ssh-askpass-1.2.4.1-0.2.src.rpm
Comment 8 Warren Togami 2006-07-25 14:00:31 EDT
Source matches upstream.  spec inspection is OK, rpmlint warnings are ignorable.

APPROVED
Comment 9 Enrico Scholz 2006-08-12 04:21:44 EDT
thanks

Note You need to log in before you can comment on or make changes to this bug.